# salt.states.openstack_config

Manage OpenStack configuration file settings.

maintainer:

  Jeffrey C. Ollie <jeff@ocjtech.us>

maturity:

  new

depends:

platform:

  linux

salt.states.openstack_config.absent(name, filename, section, parameter=None)

  Ensure a value is not set in an OpenStack configuration file.

  filename

    The full path to the configuration file

  section

    The section in which the parameter will be set

  parameter (optional)

    The parameter to change. If the parameter is not supplied, the name will be used as the parameter.

salt.states.openstack_config.present(name, filename, section, value, parameter=None)

  Ensure a value is set in an OpenStack configuration file.

  filename

    The full path to the configuration file

  section

    The section in which the parameter will be set

  parameter (optional)

    The parameter to change. If the parameter is not supplied, the name will be used as the parameter.

  value

    The value to set